Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0008205TestLinkBug Tracking System - JIRA Integrationpublic2018-02-19 11:402018-04-15 10:36
ReporterFerhan 
Assigned Tofman 
PriorityurgentSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSWindowsOS VersionWindows 10
Product Version1.9.16 (2016 Q4) 
Fixed in Version1.9.17 (2018 Q1) 
Summary0008205: Error while checking TestLink connection with JIRA using REST interface.
DescriptionHi I am trying to connect TestLink with JIRA.
I am using JIRA REST interface.
I get error message while checking connection.
After creating Jira tracker and on successful save environment displays OK but while checking connection it gives Fatal error.

Steps To Reproduce1.Login to TestLink
2.Navigate to Issue Tracker Management and created a new Tracker with below code. Also select Type as jira(interface: rest)

<!-- Template jirarestInterface -->
<issuetracker>
<username>admin</username>
<password>atlassian123</password>
<uribase>https://ta3sbugtracker.atlassian.net/</uribase> [^] [^]
<!-- CRITIC - WITH HTTP getIssue() DOES NOT WORK -->
<uriapi>ta3sbugtracker.atlassian.net/rest/api/latest/</uriapi> [^]
<uriview>ta3sbugtracker.atlassian.net/browse/</uriview> [^]
<!-- Configure This if you want be able TO CREATE ISSUES -->
<projectkey>TAS</projectkey>
<userinteraction>1</userinteraction>
<issuetype>Bug</issuetype>
</issuetracker>

3.Save - displays Environment OK
4.Navigate back and click on Check Connection button.

Issue: Displays error message-
Fatal error: Uncaught ArgumentCountError: Too few arguments to function jirarestInterface::__construct(), 2 passed in D:\xampp\htdocs\Testlink\lib\issuetrackers\issueTrackerCommands.class.php on line 268 and exactly 3 expected in D:\xampp\htdocs\Testlink\lib\issuetrackerintegration\jirarestInterface.class.php:34 Stack trace: #0 D:\xampp\htdocs\Testlink\lib\issuetrackers\issueTrackerCommands.class.php(268): jirarestInterface->__construct(7, '<!-- Template j...') #1 D:\xampp\htdocs\Testlink\lib\issuetrackers\issueTrackerEdit.php(23): issueTrackerCommands->checkConnection(Object(stdClass), Array) 0000002 {main} thrown in D:\xampp\htdocs\Testlink\lib\issuetrackerintegration\jirarestInterface.class.php on line 34
Additional InformationNote: I have created a sample project on JIRA trial 4 days left.
I have used the attributes form JITA and used it in the above xml.
TagsJira integration, REST
Database (MySQL,Postgres,etc)MySQL
BrowserOpera
PHP Version
TestCaseID
QA Team - Task Workflow StatusREADY FOR TESTING
Attached Filespng file icon JIRATracker.png [^] (58,627 bytes) 2018-02-19 11:40

- Relationships

-  Notes
(0027215)
fman (administrator)
2018-02-19 15:00

Dear User:
I hope you can undestand that you have used a WRONG BUG with A WROGN Issue tracker system when adding comments on 0008007, making things IMPOSSIBLE for me
Please do not try to save time vampirizing other issues.

as usual recomendation is:
get latest code from github, do fresh install and retest
(0027219)
Ferhan (reporter)
2018-02-20 09:17

I took the latest code form Git hub(TestLink 1.9.17 [Dev](Alan Turing)) and re-installed TestLink. Created JIRA bug tracker using REST interface. Connection is successful and able to log bug form TestLink and the same is reflecting on JIRA.
One good thing I love is there is a link in TestLink to directly takes to JIRA bug page and also Link is available in JIRA to navigate to TestLink Test execution page.
(0027220)
fman (administrator)
2018-02-20 09:18

great to know is working.
(0027357)
fman (administrator)
2018-04-15 10:36

released

- Issue History
Date Modified Username Field Change
2018-02-19 11:40 Ferhan New Issue
2018-02-19 11:40 Ferhan File Added: JIRATracker.png
2018-02-19 11:44 Ferhan Tag Attached: REST
2018-02-19 11:44 Ferhan Tag Attached: Jira integration
2018-02-19 15:00 fman Note Added: 0027215
2018-02-19 15:01 fman Assigned To => fman
2018-02-19 15:01 fman Status new => feedback
2018-02-20 09:17 Ferhan Note Added: 0027219
2018-02-20 09:17 Ferhan Status feedback => assigned
2018-02-20 09:18 fman Note Added: 0027220
2018-02-20 09:18 fman QA Team - Task Workflow Status => READY FOR TESTING
2018-02-20 09:18 fman Status assigned => resolved
2018-02-20 09:18 fman Fixed in Version => 1.9.17 (2018 Q1)
2018-02-20 09:18 fman Resolution open => fixed
2018-04-15 10:36 fman Note Added: 0027357
2018-04-15 10:36 fman Status resolved => closed



Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker